ByteArrayMultipartFileEditor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.multipart.support

## Class ByteArrayMultipartFileEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.springframework.beans.propertyeditors.ByteArrayPropertyEditor
    - - org.springframework.web.multipart.support.ByteArrayMultipartFileEditor

- All Implemented Interfaces:
    PropertyEditor

      public class ByteArrayMultipartFileEditor
      extends ByteArrayPropertyEditor

  Custom `PropertyEditor` for converting `MultipartFiles` to byte arrays.
  Since:
    13.10.2003
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayMultipartFileEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAsText()`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class org.springframework.beans.propertyeditors.ByteArrayPropertyEditor

      `setAsText`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayMultipartFileEditor

          public ByteArrayMultipartFileEditor()

  - ### Method Detail

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `PropertyEditor`
      Overrides:
        `setValue` in class `PropertyEditorSupport`

    - #### getAsText

          public String getAsText()

      Specified by:
        `getAsText` in interface `PropertyEditor`
      Overrides:
        `getAsText` in class `ByteArrayPropertyEditor`